All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Interface _rprxRemoteLevelTree

All Superinterfaces:
  java.rmi.Remote, com.sas.rmi.RemoteBaseInterface, com.sas.rmi.RMIBaseInterface

All Known Implementing Classes:
  _rprxRemoteLevelTreeServer

    public interface _rprxRemoteLevelTree

extends com.sas.rmi.RMIBaseInterface

Method Summary
`java.lang.String` | `_getDataSet()`
`java.lang.String` | `_getDefaultIcon()`
`java.lang.String` | `_getDefaultIconColumn()`
`java.lang.String` | `_getExpandedIcon()`
`java.lang.String` | `_getExpandedIconColumn()`
`java.lang.String` | `_getIndexColumn()`
`java.lang.String` | `_getLevelColumn()`
`java.lang.String` | `_getLink()`
`java.lang.String` | `_getLinkColumn()`
`com.sas.collection.hlist.HListInterface` | `_getMembers()`
`java.lang.String[]` | `_getNameValuePairColumns()`
`java.lang.String` | `_getTextColumn()`
`com.sas.collection.hlist.HListInterface` | `_getTreeNodes()`
`com.sas.collection.hlist.HListInterface` | `_getWhere()`
`boolean` | `_isValid()`
`void` | `_RemoteConstructor()`
`void` | `_setDataSet(java.lang.String p1)`
`void` | `_setDefaultIcon(java.lang.String p1)`
`void` | `_setDefaultIconColumn(java.lang.String p1)`
`void` | `_setExpandedIcon(java.lang.String p1)`
`void` | `_setExpandedIconColumn(java.lang.String p1)`
`void` | `_setIndexColumn(java.lang.String p1)`
`void` | `_setLevelColumn(java.lang.String p1)`
`void` | `_setLink(java.lang.String p1)`
`void` | `_setLinkColumn(java.lang.String p1)`
`void` | `_setNameValuePairColumns(java.lang.String[] p1)`
`void` | `_setTextColumn(java.lang.String p1)`
`void` | `_setWhere(com.sas.collection.hlist.HListInterface p1)`
`java.lang.String` | `_validate()`
`void` | `addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `close()`
`java.lang.String` | `getDataSet()`
`java.lang.String` | `getDefaultImage()`
`java.lang.String` | `getDefaultImageColumnName()`
`java.lang.String` | `getExpandedImage()`
`java.lang.String` | `getExpandedImageColumnName()`
`java.lang.String` | `getIndexColumnName()`
`java.lang.String` | `getLevelColumnName()`
`java.lang.String[]` | `getNameValuePairColumns()`
`com.sas.models.NodeInterface` | `getRoot()`
`java.lang.String` | `getTextColumnName()`
`java.lang.String` | `getURL()`
`java.lang.String` | `getURLColumnName()`
`java.lang.String` | `getWhere()`
`void` | `removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `setDataSet(java.lang.String p1)`
`void` | `setDefaultImage(java.lang.String p1)`
`void` | `setDefaultImageColumnName(java.lang.String p1)`
`void` | `setExpandedImage(java.lang.String p1)`
`void` | `setExpandedImageColumnName(java.lang.String p1)`
`void` | `setIndexColumnName(java.lang.String p1)`
`void` | `setLevelColumnName(java.lang.String p1)`
`void` | `setNameValuePairColumns(java.lang.String[] p1)`
`void` | `setTextColumnName(java.lang.String p1)`
`void` | `setURL(java.lang.String p1)`
`void` | `setURLColumnName(java.lang.String p1)`
`void` | `setWhere(java.lang.String p1)`
`void` | `validate()`

Method Detail

### _RemoteConstructor

    void _RemoteConstructor()
                            throws java.lang.Exception,
                                   java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### getURL

    java.lang.String getURL()
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### close

    void close()
               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setURL

    void setURL(java.lang.String p1)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### validate

    void validate()
                  throws java.rmi.RemoteException,
                         com.sas.table.TableException

  Throws:
    `java.rmi.RemoteException`
    `com.sas.table.TableException`

### getDataSet

    java.lang.String getDataSet()
                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setDataSet

    void setDataSet(java.lang.String p1)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getWhere

    java.lang.String getWhere()
                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setWhere

    void setWhere(java.lang.String p1)
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getDefaultImageColumnName

    java.lang.String getDefaultImageColumnName()
                                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setDefaultImageColumnName

    void setDefaultImageColumnName(java.lang.String p1)
                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getDefaultImage

    java.lang.String getDefaultImage()
                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setDefaultImage

    void setDefaultImage(java.lang.String p1)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getExpandedImageColumnName

    java.lang.String getExpandedImageColumnName()
                                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setExpandedImageColumnName

    void setExpandedImageColumnName(java.lang.String p1)
                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getExpandedImage

    java.lang.String getExpandedImage()
                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setExpandedImage

    void setExpandedImage(java.lang.String p1)
                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getURLColumnName

    java.lang.String getURLColumnName()
                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setURLColumnName

    void setURLColumnName(java.lang.String p1)
                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getNameValuePairColumns

    java.lang.String[] getNameValuePairColumns()
                                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setNameValuePairColumns

    void setNameValuePairColumns(java.lang.String[] p1)
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getRoot

    com.sas.models.NodeInterface getRoot()
                                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getDataSet

    java.lang.String _getDataSet()
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setDataSet

    void _setDataSet(java.lang.String p1)
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getWhere

    com.sas.collection.hlist.HListInterface _getWhere()
                                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setWhere

    void _setWhere(com.sas.collection.hlist.HListInterface p1)
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getDefaultIconColumn

    java.lang.String _getDefaultIconColumn()
                                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setDefaultIconColumn

    void _setDefaultIconColumn(java.lang.String p1)
                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getDefaultIcon

    java.lang.String _getDefaultIcon()
                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setDefaultIcon

    void _setDefaultIcon(java.lang.String p1)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getExpandedIcon

    java.lang.String _getExpandedIcon()
                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setExpandedIcon

    void _setExpandedIcon(java.lang.String p1)
                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getExpandedIconColumn

    java.lang.String _getExpandedIconColumn()
                                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setExpandedIconColumn

    void _setExpandedIconColumn(java.lang.String p1)
                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getLevelColumn

    java.lang.String _getLevelColumn()
                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setLevelColumn

    void _setLevelColumn(java.lang.String p1)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getIndexColumn

    java.lang.String _getIndexColumn()
                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setIndexColumn

    void _setIndexColumn(java.lang.String p1)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getLinkColumn

    java.lang.String _getLinkColumn()
                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setLinkColumn

    void _setLinkColumn(java.lang.String p1)
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getLink

    java.lang.String _getLink()
                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setLink

    void _setLink(java.lang.String p1)
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getNameValuePairColumns

    java.lang.String[] _getNameValuePairColumns()
                                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setNameValuePairColumns

    void _setNameValuePairColumns(java.lang.String[] p1)
                                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getTextColumn

    java.lang.String _getTextColumn()
                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setTextColumn

    void _setTextColumn(java.lang.String p1)
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getTreeNodes

    com.sas.collection.hlist.HListInterface _getTreeNodes()
                                                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _validate

    java.lang.String _validate()
                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _isValid

    boolean _isValid()
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getMembers

    com.sas.collection.hlist.HListInterface _getMembers()
                                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### addContentsChangedListener

    void addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)
                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### removeContentsChangedListener

    void removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)
                                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getLevelColumnName

    java.lang.String getLevelColumnName()
                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setLevelColumnName

    void setLevelColumnName(java.lang.String p1)
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getIndexColumnName

    java.lang.String getIndexColumnName()
                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setIndexColumnName

    void setIndexColumnName(java.lang.String p1)
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getTextColumnName

    java.lang.String getTextColumnName()
                                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setTextColumnName

    void setTextColumnName(java.lang.String p1)
                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.